Add-Type -AssemblyName Microsoft.VisualBasic

# tH_S~Ɉړ
function Folder-ToRecycleBin($target_dir_path) {
  if ((Test-Path $target_dir_path) -And ((Test-Path -PathType Container (Get-Item $target_dir_path)))) {
    $fullpath = (Get-Item $target_dir_path).FullName
    [Microsoft.VisualBasic.FileIO.FileSystem]::DeleteDirectory($fullpath,'OnlyErrorDialogs','SendToRecycleBin')
  } else {
    Write-Output "'$target_dir_path' is not directory or not found."
  }
}

# t@CS~Ɉړ
function File-ToRecycleBin($target_file_path) {
  if ((Test-Path $target_file_path) -And ((Test-Path -PathType Leaf (Get-Item $target_file_path)))) {
    $fullpath = (Get-Item $target_file_path).FullName
    [Microsoft.VisualBasic.FileIO.FileSystem]::DeleteFile($fullpath,'OnlyErrorDialogs','SendToRecycleBin')
  } else {
    Write-Output "'$target_file_path' is not file or not found."
  }
}
